
import { world, system, Player, EquipmentSlot } from '@minecraft/server'

world.afterEvents.entityHitEntity.subscribe((event) => {
    const attacker = event.damagingEntity;
    const victim = event.hitEntity;
    if (attacker instanceof Player) {
        system.run(() => {
            attacker.addTag('Nexus:Attacker');
        });

        system.run(() => {
            victim.addTag('Nexus:Victim');
        });
    }


});